Package org.apache.calcite.avatica.remote

# Class Service.PrepareAndExecuteBatchRequest

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Request
org.apache.calcite.avatica.remote.Service.PrepareAndExecuteBatchRequest

Enclosing interface:
  Service

public static class Service.PrepareAndExecuteBatchRequest extends Service.Request
Request to prepare a statement and execute a series of batch commands in one call.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`connectionId`
`final List<String>`
`sqlCommands`
`final int`
`statementId`

## Constructor Summary

Constructors
Constructor
Description
`PrepareAndExecuteBatchRequest(String connectionId, int statementId, List<String> sqlCommands)`

## Method Summary

Modifier and Type
Method
Description
`Service.ExecuteBatchResponse`
`accept(Service service)`
`Service.PrepareAndExecuteBatchRequest`
`deserialize(com.google.protobuf.Message genericMsg)`
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`org.apache.calcite.avatica.proto.Requests.PrepareAndExecuteBatchRequest`
`serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connectionId

public final String connectionId

### sqlCommands

public final List<String> sqlCommands

### statementId

public final int statementId

## Constructor Details

### PrepareAndExecuteBatchRequest

public PrepareAndExecuteBatchRequest(String connectionId, int statementId, List<String> sqlCommands)

## Method Details

### accept

public Service.ExecuteBatchResponse accept(Service service)

### serialize

public org.apache.calcite.avatica.proto.Requests.PrepareAndExecuteBatchRequest serialize()

### deserialize

public Service.PrepareAndExecuteBatchRequest deserialize(com.google.protobuf.Message genericMsg)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`